> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yoshi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List accounts

> List linked financial accounts with display metadata and public lifecycle status.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/yoshi/openapi.documented.yml get /accounts
openapi: 3.1.0
info:
  title: Yoshi API
  version: 1.0.0
  description: Consumer API for accessing your Yoshi financial data programmatically.
servers:
  - url: https://api.yoshi.ai/v1
    description: Production
  - url: https://staging-api.yoshi.ai/v1
    description: Staging
security:
  - bearerAuth: []
paths:
  /accounts:
    get:
      tags:
        - Accounts
      summary: List accounts
      description: >-
        List linked financial accounts with display metadata and public
        lifecycle status.
      operationId: listAccounts
      parameters:
        - schema:
            type: string
            enum:
              - open
              - closed
              - all
            default: open
          required: false
          name: status
          in: query
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
          required: false
          name: hidden
          in: query
      responses:
        '200':
          description: Accounts retrieved.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      accounts:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            mask:
                              type:
                                - string
                                - 'null'
                            type:
                              type: string
                            subtype:
                              type:
                                - string
                                - 'null'
                            status:
                              type: string
                              enum:
                                - open
                                - closed
                            connection_status:
                              type: string
                            updated_at:
                              type: string
                            balance_available:
                              type:
                                - number
                                - 'null'
                            balance_current:
                              type:
                                - number
                                - 'null'
                            balance_limit:
                              type:
                                - number
                                - 'null'
                            as_of:
                              type:
                                - string
                                - 'null'
                            institution_name:
                              type:
                                - string
                                - 'null'
                            institution_logo:
                              type:
                                - string
                                - 'null'
                            external_source:
                              type: string
                            next_payment_due_date:
                              type:
                                - string
                                - 'null'
                            interest_rate_percentage:
                              type:
                                - number
                                - 'null'
                            hidden:
                              type: boolean
                            apy_percent_display:
                              type:
                                - string
                                - 'null'
                          required:
                            - id
                            - name
                            - mask
                            - type
                            - subtype
                            - status
                            - connection_status
                            - updated_at
                            - balance_available
                            - balance_current
                            - balance_limit
                            - as_of
                            - institution_name
                            - institution_logo
                            - external_source
                            - next_payment_due_date
                            - interest_rate_percentage
                            - hidden
                            - apy_percent_display
                    required:
                      - accounts
                  meta:
                    type: object
                    properties:
                      request_id:
                        type: string
                        example: req_a1b2c3d4-e5f6-7890-abcd-ef1234567890
                      timestamp:
                        type: string
                        format: date-time
                        example: '2026-04-10T12:00:00.000Z'
                    required:
                      - request_id
                      - timestamp
                required:
                  - data
                  - meta
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Yoshi from '@yoshi-ai/sdk';

            const client = new Yoshi({
              apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
            });

            const accounts = await client.accounts.list();

            console.log(accounts.data);
        - lang: Python
          source: |-
            import os
            from yoshi_sdk import Yoshi

            client = Yoshi(
                api_key=os.environ.get("YOSHI_API_KEY"),  # This is the default and can be omitted
            )
            accounts = client.accounts.list()
            print(accounts.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/yoshi-ai-dev/yoshi-go\"\n\t\"github.com/yoshi-ai-dev/yoshi-go/option\"\n)\n\nfunc main() {\n\tclient := yoshi.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\taccounts, err := client.Accounts.List(context.TODO(), yoshi.AccountListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", accounts.Data)\n}\n"
        - lang: CLI
          source: |-
            yoshi accounts list \
              --api-key 'My API Key'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        A Yoshi API key from Settings → API Keys, or a Yoshi OAuth access token
        issued by Sign in with Yoshi.
      x-default: yoshi_test_...

````